From 454afcd1043b3c94479ec5064c87314b1561547b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?R=C3=A9mi=20Vanicat?= <vanicat@debian.org>
Date: Sat, 10 Nov 2018 21:15:24 +0100
Subject: [PATCH] Fix incompatibility with elpa-auto-complete (Closes: 913025)

---
 debian/changelog                              |   6 +
 .../patches/no-default-load-file-for-clojure  | 421 ++++++++++++++++++
 debian/patches/series                         |   1 +
 3 files changed, 428 insertions(+)
 create mode 100644 debian/patches/no-default-load-file-for-clojure

diff --git a/debian/changelog b/debian/changelog
index 73f01ea..ae75abc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+emacspeak (47.0+dfsg-5) UNRELEASED; urgency=medium
+
+  * Fix incompatibility with elpa-auto-complete (Closes: 913025)
+
+ -- Rémi Vanicat <vanicat@debian.org>  Sat, 10 Nov 2018 21:14:51 +0100
+
 emacspeak (47.0+dfsg-4) unstable; urgency=medium
 
   * Fix arch-specific build (Closes: Bug#912311).
diff --git a/debian/patches/no-default-load-file-for-clojure b/debian/patches/no-default-load-file-for-clojure
new file mode 100644
index 0000000..693f8f0
--- /dev/null
+++ b/debian/patches/no-default-load-file-for-clojure
@@ -0,0 +1,421 @@
+Description: Do not put a default load file when require with no-error
+ calling require with the second argument non nil could lead Emacs to load the
+ file without an extension, but some other package could put in the load path
+ a file with such a name. Using nil as second argument let Emacs search for file
+ to load in the normal way.
+Author: Rémi Vanicat <vanicat@debian.org>
+Bug-Debian: https://bugs.debian.org/913025
+Origin: Debian
+Forwarded: No
+Last-Update: 2018-11-10
+
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-clojure.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-clojure.el
+@@ -51,7 +51,7 @@
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+ (eval-when-compile
+-  (require 'clojure-mode "clojure-mode" 'no-error))
++  (require 'clojure-mode () 'no-error))
+ 
+ ;;}}}
+ ;;{{{ Map Faces:
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-2048.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-2048.el
+@@ -53,7 +53,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(require '2048-game "2048-game" 'no-error)
++(require '2048-game () 'no-error)
+ ;;}}}
+ ;;{{{ Push And Pop states:
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-bookshare.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-bookshare.el
+@@ -58,7 +58,7 @@
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+ (require 'dired)
+-(require 'eww   "eww" 'noerror)
++(require 'eww () 'noerror)
+ (require 'browse-url)
+ (require 'emacspeak-we)
+ (require 'emacspeak-webutils)
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-company.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-company.el
+@@ -58,7 +58,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(eval-when-compile (require 'company "company" 'no-error))
++(eval-when-compile (require 'company () 'no-error))
+ ;;}}}
+ ;;{{{ map faces:
+ (voice-setup-add-map
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-dbus.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-dbus.el
+@@ -66,7 +66,7 @@
+ (require 'sox-gen)
+ (require 'derived)
+ (require 'dbus))
+-(require 'nm "nm" 'no-error)
++(require 'nm () 'no-error)
+ 
+ ;;}}}
+ ;;{{{ Forward Declarations:
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-ecb.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-ecb.el
+@@ -45,8 +45,8 @@
+ (require 'emacspeak-preamble)
+ (eval-when-compile
+   (let ((inhibit-message  t))
+-  (require 'ecb "ecb" 'no-error))
+-  (require 'tree-buffer "tree-buffer" 'no-error))
++  (require 'ecb () 'no-error))
++  (require 'tree-buffer () 'no-error))
+ ;;}}}
+ ;;{{{  Introduction:
+ ;;; Commentary:
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-elfeed.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-elfeed.el
+@@ -51,7 +51,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(require 'elfeed "elfeed" 'no-match)
++(require 'elfeed () 'no-match)
+ ;;}}}
+ ;;{{{ Map Faces to voices
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-elisp-refs.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-elisp-refs.el
+@@ -51,7 +51,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(eval-when-compile (require 'elisp-refs "elisp-refs" 'no-error))
++(eval-when-compile (require 'elisp-refs () 'no-error))
+ 
+ ;;}}}
+ ;;{{{ Advice interactive commands:
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-emms.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-emms.el
+@@ -55,7 +55,7 @@
+ 
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(require 'emms "emms" 'no-error)
++(require 'emms () 'no-error)
+ ;;}}}
+ ;;{{{ module emms:
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-eww.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-eww.el
+@@ -399,10 +399,10 @@
+ (require 'cl-lib)
+ (require 'pp)
+ (eval-when-compile(require 'subr-x))
+-(eval-when-compile (require 'eww "eww" 'no-error))
++(eval-when-compile (require 'eww () 'no-error))
+ (require 'dom)
+ (require 'dom-addons)
+-(eval-when-compile (require 'emacspeak-feeds "emacspeak-feeds" 'no-error))
++(eval-when-compile (require 'emacspeak-feeds () 'no-error))
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+ (require 'emacspeak-we)
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-flyspell.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-flyspell.el
+@@ -62,7 +62,7 @@
+ 
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+-(require 'emacspeak-preamble) (require 'flyspell "flyspell" 'no-error)
++(require 'emacspeak-preamble) (require 'flyspell () 'no-error)
+ 
+ ;;}}}
+ ;;{{{ define personalities
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-go-mode.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-go-mode.el
+@@ -50,7 +50,7 @@
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+ (eval-when-compile
+-  (require 'go-mode "go-mode" 'no-error))
++  (require 'go-mode () 'no-error))
+ 
+ ;;}}}
+ ;;{{{ Advice interactive commands:
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-hydra.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-hydra.el
+@@ -48,7 +48,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(eval-when-compile (require 'hydra "hydra" 'no-error))
++(eval-when-compile (require 'hydra () 'no-error))
+ 
+ ;;}}}
+ ;;{{{ Map Hydra Colors To Voices:
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-jabber.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-jabber.el
+@@ -52,7 +52,7 @@
+ 
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(require 'jabber "jabber" 'no-error)
++(require 'jabber () 'no-error)
+ ;;}}}
+ ;;{{{ map voices
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-js2.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-js2.el
+@@ -51,7 +51,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(require 'js2-mode "js2-mode" 'no-error)
++(require 'js2-mode () 'no-error)
+ ;;}}}
+ ;;{{{  map faces to voices:
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-magit.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-magit.el
+@@ -51,7 +51,7 @@
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+ 
+-(eval-when-compile (require 'magit "magit" 'no-error))
++(eval-when-compile (require 'magit () 'no-error))
+ 
+ ;;}}}
+ ;;{{{ Map voices to faces:
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-maths.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-maths.el
+@@ -94,7 +94,7 @@
+ (require 'cl-lib)
+ (require 'comint)
+ (require 'derived)
+-(require 'nvm "nvm" 'no-error )
++(require 'nvm () 'no-error )
+ 
+ ;;}}}
+ ;;{{{ Customizations And Variables:
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-mines.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-mines.el
+@@ -66,7 +66,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(eval-when-compile (require 'mines "mines" 'no-error))
++(eval-when-compile (require 'mines () 'no-error))
+ ;;}}}
+ ;;{{{ Interactive Commands:
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-mpg123.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-mpg123.el
+@@ -42,7 +42,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(require 'mpg123 "mpg123" 'no-error)
++(require 'mpg123 () 'no-error)
+ ;;}}}
+ ;;{{{  Introduction:
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-muggles.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-muggles.el
+@@ -92,10 +92,10 @@
+ (eval-when-compile
+   (require 'hideshow)
+   (require 'emacspeak-maths)
+-  (require 'origami "origami" 'no-error)
+-  (require 'smartparens "smartparens" 'no-error)
+-  (require 'browse-kill-ring "browse-kill-ring" 'no-error)
+-  (require 'hydra "hydra" 'no-error)
++  (require 'origami () 'no-error)
++  (require 'smartparens () 'no-error)
++  (require 'browse-kill-ring () 'no-error)
++  (require 'hydra () 'no-error)
+   (require 'xbacklight)
+   (require 'view)
+   (require 'emacspeak-m-player))
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-org.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-org.el
+@@ -56,8 +56,8 @@
+ (require 'eww)
+ (require 'emacspeak-eww)
+ (require 'emacspeak-feeds)
+-(require 'org "org" 'no-error)
+-(require 'org-table "org-table" 'no-error)
++(require 'org () 'no-error)
++(require 'org-table () 'no-error)
+ ;;}}}
+ ;;{{{ voice locking:
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-package.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-package.el
+@@ -51,7 +51,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(eval-when-compile (require 'package "package" 'no-error))
++(eval-when-compile (require 'package () 'no-error))
+ (require 'calendar)
+ ;;}}}
+ ;;{{{ Map Faces:
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-paradox.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-paradox.el
+@@ -51,7 +51,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(eval-when-compile (require 'paradox "paradox" 'no-error))
++(eval-when-compile (require 'paradox () 'no-error))
+ (require 'calendar)
+ 
+ ;;}}}
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-popup.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-popup.el
+@@ -50,7 +50,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(eval-when-compile (require 'popup "popup" 'no-error))
++(eval-when-compile (require 'popup () 'no-error))
+ ;;}}}
+ ;;{{{ Map Faces:
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-py.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-py.el
+@@ -52,7 +52,7 @@
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+ (eval-when-compile
+-  (require 'python-mode "python-mode" 'no-error))
++  (require 'python-mode () 'no-error))
+ ;;}}}
+ ;;{{{  electric editing
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-python.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-python.el
+@@ -52,7 +52,7 @@
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+ (eval-when-compile
+-  (require 'python "python" 'no-error))
++  (require 'python () 'no-error))
+ ;;}}}
+ ;;{{{ interactive programming
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-rg.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-rg.el
+@@ -50,7 +50,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(eval-when-compile (require 'rg "rg" 'no-error))
++(eval-when-compile (require 'rg () 'no-error))
+ 
+ ;;}}}
+ ;;{{{ Map Faces:
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-shx.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-shx.el
+@@ -50,7 +50,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(eval-when-compile (require 'shx "shx" 'no-error))
++(eval-when-compile (require 'shx () 'no-error))
+ 
+ ;;}}}
+ ;;{{{ Interactive Commands:
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-speedbar.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-speedbar.el
+@@ -58,7 +58,7 @@
+ 
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(require 'speedbar "speedbar" 'no-error)
++(require 'speedbar () 'no-error)
+ ;;}}}
+ ;;{{{ custom
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-sudoku.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-sudoku.el
+@@ -53,7 +53,7 @@
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+ (require 'stack-f)
+-(require 'sudoku "sudoku" 'no-error)
++(require 'sudoku () 'no-error)
+ ;;}}}
+ ;;{{{ Define additional speak commands:
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-twittering.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-twittering.el
+@@ -55,7 +55,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(require 'twittering-mode "twittering-mode" 'no-error)
++(require 'twittering-mode () 'no-error)
+ ;;}}}
+ ;;{{{ Map->Voice Mappings:
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-vdiff.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-vdiff.el
+@@ -60,7 +60,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(eval-when-compile (require 'vdiff "vdiff" 'no-error))
++(eval-when-compile (require 'vdiff () 'no-error))
+ ;;}}}
+ ;;{{{ Map Faces:
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-vm.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-vm.el
+@@ -49,7 +49,7 @@
+ ;;{{{ requires
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(require  'vm "vm" 'no-error)
++(require  'vm () 'no-error)
+ ;;}}}
+ ;;{{{ Forward Decls:
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-wizards.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-wizards.el
+@@ -64,7 +64,7 @@
+ (require 'emacspeak-webutils)
+ (require 'emacspeak-we)
+ (require 'emacspeak-xslt)
+-(require 'name-this-color  "name-this-color" 'no-error)
++(require 'name-this-color () 'no-error)
+ (eval-when-compile
+   (require 'gweb)
+   (require 'shell)
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-xkcd.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-xkcd.el
+@@ -53,7 +53,7 @@
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+ (require 'json)
+-(require 'xkcd "xkcd" 'no-error)
++(require 'xkcd () 'no-error)
+ ;;}}}
+ ;;{{{ Fix error when loading images on the console:
+ 
+--- emacspeak-47.0+dfsg.orig/lisp/emacspeak-xref.el
++++ emacspeak-47.0+dfsg/lisp/emacspeak-xref.el
+@@ -51,7 +51,7 @@
+ (require 'cl-lib)
+ (cl-declaim  (optimize  (safety 0) (speed 3)))
+ (require 'emacspeak-preamble)
+-(eval-when-compile (require 'xref  "xref" 'no-error))
++(eval-when-compile (require 'xref () 'no-error))
+ 
+ ;;}}}
+ ;;{{{  Advice Interactive Commands:
diff --git a/debian/patches/series b/debian/patches/series
index 178b8b5..495f177 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -4,3 +4,4 @@ fix_lintian_privacy-breach-logo_error.patch
 seed_pink_noise_for_reproducibility.patch
 dont-use-local-path-in-documentation.patch
 use-tclsh-as-interpreter-for-ssh-espeak.patch
+no-default-load-file-for-clojure
-- 
2.19.1

